## rust-ripcalc 0.1.9

=== Makefile ===
VERSION := $(shell grep version Cargo.toml | sed -e 's/.* = "//g;s/"$$//g' )
MDDATE := $(shell find ripcalc.md -printf "%Td %TB %TY\n" )

all:

build:
	cargo build --release

doc:
	( cat ripcalc.md | sed -e 's/^footer: \(\S\+\) \S\+$$/footer: \1 $(VERSION)/g' -e 's/^date:.*/date: $(MDDATE)/g' ) > ripcalc.md.tmp && mv ripcalc.md.tmp ripcalc.md
	cat ripcalc.md | sed -e 's,\([^ -]\)--\([^-]\),\1\\--\2,g' -e '/^|/s/\\n/\\\\n/g' -e '/^|/s/\\t/\\\\t/g' > ripcalc.man.md
	pandoc --standalone --ascii --to man ripcalc.man.md -o ripcalc.1
	rm ripcalc.man.md

test:
	cargo test

install: test build
	please install -m 0755 -s target/release/ripcalc /usr/local/bin

=== debian/changelog ===
rust-ripcalc (0.1.9-1) unstable; urgency=medium

  * Package ripcalc 0.1.9 from crates.io using debcargo 2.6.0
  * Closes: #1034051

 -- Ed Neville <ed-debian@s5h.net>  Sat, 17 Jun 2023 10:14:14 +0200

=== debian/control ===
Source: rust-ripcalc
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-csv-1+default-dev,
 librust-getopts-0.2+default-dev,
 librust-nix-0.26+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ed Neville <ed-debian@s5h.net>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ripcalc]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ripcalc
Homepage: https://www.usenix.org.uk/content/ripcalc.html
X-Cargo-Crate: ripcalc
Rules-Requires-Root: no

Package: librust-ripcalc-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-csv-1+default-dev,
 librust-getopts-0.2+default-dev,
 librust-nix-0.26+default-dev
Provides:
 librust-ripcalc+default-dev (= ${binary:Version}),
 librust-ripcalc-0-dev (= ${binary:Version}),
 librust-ripcalc-0+default-dev (= ${binary:Version}),
 librust-ripcalc-0.1-dev (= ${binary:Version}),
 librust-ripcalc-0.1+default-dev (= ${binary:Version}),
 librust-ripcalc-0.1.9-dev (= ${binary:Version}),
 librust-ripcalc-0.1.9+default-dev (= ${binary:Version})
Description: Format and lookup IP addresses - Rust source code
 This package contains the source for the Rust ripcalc crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: ripcalc
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: simple network calculator and lookup tool
 Process and lookup network addresses from the command line or CSV.
 Output has a variety of customisable formats.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.1.9 --all-targets --all-features
Features: test-name=rust-ripcalc:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.1.9 --all-targets
Features: test-name=librust-ripcalc-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.1.9 --all-targets --no-default-features
Features: test-name=librust-ripcalc-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-ripcalc 0.1.11

=== Makefile ===
# vim:set noet:
NAME := ripcalc
DOC := $(NAME)
VERSION := $(shell grep version Cargo.toml | sed -e 's/.* = "//g;s/"$$//g' )
MDDATE := $(shell find ripcalc.md -printf "%Td %TB %TY\n" )
RELEASE := ./target/release/ripcalc

all: build test bintest doc

build:
	cargo build --release

doc:
	( cat $(DOC).md | sed -e 's/^footer: \(\S\+\) \S\+$$/footer: \1 $(VERSION)/g' -e 's/^date:.*/date: $(MDDATE)/g' ) > $(DOC).md.tmp && mv $(DOC).md.tmp $(DOC).md
	cat $(DOC).md | sed -e 's,\([^ `-]\)--\([a-zA-Z]\),\1\\--\2,g' -e '/^|/s/\\n/\\\\n/g' -e '/^|/s/\\t/\\\\t/g' > $(DOC).man.md
	pandoc --standalone --ascii --to man $(DOC).man.md -o $(DOC).1
	rm $(DOC).man.md

test:
	cargo test

bintest:
	printf "127.0.0.1\n" | $(RELEASE) --available --list --format short -s - 127.0.0.1/30 | wc -l | grep -x 3
	printf "127.0.0.1\n" | $(RELEASE) --list --format short -s - 127.0.0.1/30 | wc -l | grep -x 5
	printf '10.0.0.0/30\n' | $(RELEASE) --list --format short -s - 127.0.0.1/30 | wc -l | grep -x 8
	printf '10.0.0.0/30\n127.0.0.1/30' | $(RELEASE) --list --format short -s - --outside 10.0.0.0/24 | wc -l | grep -x 4
	printf '10.0.0.0/28\n127.0.0.1/30' | $(RELEASE) --list --format short -s - --inside 10.0.0.0/24 | wc -l | grep -x 16
	printf '10.0.0.0/28\n127.0.0.1/30' | $(RELEASE) --list --format short --inside 10.0.0.0/24 | wc -l | grep -x 16
	printf '85.119.82.90\n' | $(RELEASE) -s - --inside 85.119.82.99/16 192.73.234.6/24 45.77.251.199/24 --format short | grep 85.119.82.90 | wc -l | grep -x 1
	printf '10.0.0.0/28\n127.0.0.1/30' | $(RELEASE) --list --format short -s - --inside 10.0.0.0/24 192.168.1.1/16 | wc -l | grep -x 16
	printf '127.0.0.1\n' | $(RELEASE) --format short -s - --inside 10.0.0.0/24 192.168.1.1/16 127.0.0.1/28 | wc -l | grep -x 1
	$(RELEASE) --format '%k.all.s5h.net' 127.0.0.2 # if there's no list/available option AND has an IP as an argument, it should not wait
	echo 192.168.1.2 | $(RELEASE) -l --inside 192.168.1.1/28 --format 'short' | wc -l | grep -x 1
	echo 192.168.0.0/16 | $(RELEASE) -l --inside 192.168.0.0/24 --format 'short' | wc -l | grep -x 0
	echo 192.168.0.0/28 | $(RELEASE) --list --noexpand --inside 192.168.0.0/24 --format 'short' | wc -l | grep -x 1
	echo 192.168.0.0/28 | $(RELEASE) --list -a --noexpand --inside 192.168.0.0/24 --format 'short' | wc -l | grep -x 1
	echo 338288524927261089655243473518709748348 | $(RELEASE) --base 10 -s - --format 'short' | grep -x fe80::10fe:91ff:fe64:b27c
	echo 3558236161 | $(RELEASE) --base 10 -s - --format 'short' | grep -x 212.22.96.1
	echo '185.27.20.54' | $(RELEASE) --outside 185.27.20.54/23 --format short | wc -l | grep -Fx 0
	printf '192.168.1.1\n192.168.2.1\n127.0.0.1\n10.10.10.10\n192.168.3.1\n' | $(RELEASE) --inside 192.168.1.0/24 192.168.2.0/24 --format short | wc -l | grep -Fx 2
	printf '192.168.1.1\n' | $(RELEASE) --format short --inside 80.87.128.0/20 185.27.20.0/22 216.116.64.0/20 67.214.98.0/24 2606:1F00::/32 2a04:1300::/29 | wc -l | grep -Fx 0
	printf '192.168.1.1\n' | $(RELEASE) --format short --outside 80.87.128.0/20 185.27.20.0/22 216.116.64.0/20 67.214.98.0/24 2606:1F00::/32 2a04:1300::/29 | wc -l | grep -Fx 1
	printf 'https://www.usenix.org.uk/content/\n' | $(RELEASE) --format short -s - | wc -l | grep -Fx 1


install: all
	command -v please && please install -m 0755 -s $(RELEASE) /usr/local/bin || sudo install -m 0755 -s $(RELEASE) /usr/local/bin

=== debian/changelog ===
rust-ripcalc (0.1.11-2) unstable; urgency=medium

  * Team upload.
  * Package ripcalc 0.1.11 from crates.io using debcargo 2.6.1
  * Add patch for nix 0.27.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 May 2024 15:52:09 +0000

rust-ripcalc (0.1.11-1) unstable; urgency=medium

  * Team upload.
  * Package ripcalc 0.1.11 from crates.io using debcargo 2.6.1
  * Drop old deps.patch, no longer needed.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 29 Feb 2024 22:30:49 +0000

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,14 @@
  libstd-rust-dev,
  librust-csv-1+default-dev,
  librust-getopts-0.2+default-dev,
- librust-nix-0.26+default-dev
+ librust-nix-0.27+default-dev,
+ librust-nix-0.27+net-dev,
+ librust-nix-0.27+poll-dev,
+ librust-nix-0.27+signal-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Ed Neville <ed-debian@s5h.net>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ripcalc]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ripcalc
 Homepage: https://www.usenix.org.uk/content/ripcalc.html
@@ -26,18 +29,20 @@
  ${misc:Depends},
  librust-csv-1+default-dev,
  librust-getopts-0.2+default-dev,
- librust-nix-0.26+default-dev
+ librust-nix-0.27+default-dev,
+ librust-nix-0.27+net-dev,
+ librust-nix-0.27+poll-dev,
+ librust-nix-0.27+signal-dev
 Provides:
  librust-ripcalc+default-dev (= ${binary:Version}),
  librust-ripcalc-0-dev (= ${binary:Version}),
  librust-ripcalc-0+default-dev (= ${binary:Version}),
  librust-ripcalc-0.1-dev (= ${binary:Version}),
  librust-ripcalc-0.1+default-dev (= ${binary:Version}),
- librust-ripcalc-0.1.9-dev (= ${binary:Version}),
- librust-ripcalc-0.1.9+default-dev (= ${binary:Version})
+ librust-ripcalc-0.1.11-dev (= ${binary:Version}),
+ librust-ripcalc-0.1.11+default-dev (= ${binary:Version})
 Description: Format and lookup IP addresses - Rust source code
- This package contains the source for the Rust ripcalc crate, packaged by
- debcargo for use with cargo and dh-cargo.
+ Source code for Debianized Rust crate "ripcalc"
 
 Package: ripcalc
 Architecture: any

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.1.11 --all-targets --all-features
Features: test-name=rust-ripcalc:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.1.11 --all-targets
Features: test-name=librust-ripcalc-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.1.11 --all-targets --no-default-features
Features: test-name=librust-ripcalc-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-ripcalc 0.1.12

=== Makefile ===
# vim:set noet:
NAME := ripcalc
DOC := $(NAME)
VERSION := $(shell grep ^version Cargo.toml | sed -e 's/.* = "//g;s/"$$//g' )
MDDATE := $(shell find ripcalc.md -printf "%Td %TB %TY\n" )
RELEASE := ./target/release/ripcalc

all: build test bintest doc

build:
	cargo build --release

doc:
	( cat $(DOC).md | sed -e 's/^footer: .*$$/footer: $(NAME) $(VERSION)/g' -e 's/^date:.*/date: $(MDDATE)/g' ) > $(DOC).md.tmp && mv $(DOC).md.tmp $(DOC).md
	cat $(DOC).md | sed -e 's,\([^ `-]\)--\([a-zA-Z]\),\1\\--\2,g' -e '/^|/s/\\n/\\\\n/g' -e '/^|/s/\\t/\\\\t/g' > $(DOC).man.md
	pandoc --standalone --ascii --to man $(DOC).man.md -o $(DOC).1
	rm $(DOC).man.md

test:
	cargo test

bintest:
	printf "127.0.0.1\n" | $(RELEASE) --available --list --format short -s - 127.0.0.1/30 | wc -l | tr -d '[:blank:]' | grep -x 3
	printf "127.0.0.1\n" | $(RELEASE) --list --format short -s - 127.0.0.1/30 | wc -l | tr -d '[:blank:]' | grep -x 5
	printf '10.0.0.0/30\n' | $(RELEASE) --list --format short -s - 127.0.0.1/30 | wc -l | tr -d '[:blank:]' | grep -x 8
	( printf '10.0.0.0/30\n127.0.0.1/30' | $(RELEASE) --list --format short -s - --outside 10.0.0.0/24; if test $$? -ne 1; then exit 1; fi; exit 0 ) | wc -l | tr -d '[:blank:]' | grep -x 4
	printf '10.0.0.0/28\n127.0.0.1/30' | $(RELEASE) --list --format short -s - --inside 10.0.0.0/24 | wc -l | tr -d '[:blank:]' | grep -x 16
	printf '10.0.0.0/28\n127.0.0.1/30' | $(RELEASE) --list --format short --inside 10.0.0.0/24 | wc -l | tr -d '[:blank:]' | grep -x 16
	printf '85.119.82.90\n' | $(RELEASE) -s - --inside 85.119.82.99/16 192.73.234.6/24 45.77.251.199/24 --format short | grep 85.119.82.90 | wc -l | tr -d '[:blank:]' | grep -x 1
	printf '10.0.0.0/28\n127.0.0.1/30' | $(RELEASE) --list --format short -s - --inside 10.0.0.0/24 192.168.1.1/16 | wc -l | tr -d '[:blank:]' | grep -x 16
	printf '127.0.0.1\n' | $(RELEASE) --format short -s - --inside 10.0.0.0/24 192.168.1.1/16 127.0.0.1/28 | wc -l | tr -d '[:blank:]' | grep -x 1
	$(RELEASE) --format '%k.all.s5h.net' 127.0.0.2 # if there's no list/available option AND has an IP as an argument, it should not wait
	echo 192.168.1.2 | $(RELEASE) -l --inside 192.168.1.1/28 --format 'short' | wc -l | tr -d '[:blank:]' | grep -x 1
	echo 192.168.0.0/16 | $(RELEASE) -l --inside 192.168.0.0/24 --format 'short' | wc -l | tr -d '[:blank:]' | grep -x 0
	echo 192.168.0.0/28 | $(RELEASE) --list --noexpand --inside 192.168.0.0/24 --format 'short' | wc -l | tr -d '[:blank:]' | grep -x 1
	echo 192.168.0.0/28 | $(RELEASE) --list -a --noexpand --inside 192.168.0.0/24 --format 'short' | wc -l | tr -d '[:blank:]' | grep -x 1
	echo 338288524927261089655243473518709748348 | $(RELEASE) --base 10 -s - --format 'short' | tr -d '[:blank:]' | grep -x fe80::10fe:91ff:fe64:b27c
	echo 3558236161 | $(RELEASE) --base 10 -s - --format 'short' | tr -d '[:blank:]' | grep -x 212.22.96.1
	echo '185.27.20.54' | $(RELEASE) --outside 185.27.20.54/23 --format short | wc -l | tr -d '[:blank:]' | grep -Fx 0
	printf '192.168.1.1\n192.168.2.1\n127.0.0.1\n10.10.10.10\n192.168.3.1\n' | $(RELEASE) --inside 192.168.1.0/24 192.168.2.0/24 --format short | wc -l | tr -d '[:blank:]' | grep -Fx 2
	printf '192.168.1.1\n' | $(RELEASE) --format short --inside 80.87.128.0/20 185.27.20.0/22 216.116.64.0/20 67.214.98.0/24 2606:1F00::/32 2a04:1300::/29 | wc -l | tr -d '[:blank:]' | grep -Fx 0
	printf '192.168.1.1\n' | $(RELEASE) --format short --outside 80.87.128.0/20 185.27.20.0/22 216.116.64.0/20 67.214.98.0/24 2606:1F00::/32 2a04:1300::/29 | wc -l | tr -d '[:blank:]' | grep -Fx 1
	printf 'https://www.usenix.org.uk/content/\n' | $(RELEASE) --format short -s - | wc -l | tr -d '[:blank:]' | grep -Fx 1
	printf '2001067c26600425001d0000000003d2' | $(RELEASE) --base 16 --format short -s - | wc -l | tr -d '[:blank:]' | grep -Fx 1
	$(RELEASE) -e 10.0.0.0 10.10.0.0 --format cidr | grep 10.0.0.0/12
	printf '10.0.0.0/24\n10.0.0.1/24\n' | $(RELEASE) -e -s - --format cidr | grep 10.0.0.0/24 | wc -l | tr -d '[:blank:]' | grep -Fx 1
	printf '192.168.0.0/16' | $(RELEASE) --format cidr | grep 192.168.0.0/16 | wc -l | tr -d '[:blank:]' | grep -Fx 1
	$(RELEASE) 192.168.0.0/16 --format cidr | grep 192.168.0.0/16 | wc -l | tr -d '[:blank:]' | grep -Fx 1
	printf "127.0.0.1/8\n" | $(RELEASE) | grep "IP is: 127.0.0.1/8" | wc -l | tr -d '[:blank:]' | grep -Fx 1 
	printf " 127.0.0.1/8 \n " | $(RELEASE) | grep "IP is: 127.0.0.1/8" | wc -l | tr -d '[:blank:]' | grep -Fx 1 
	$(RELEASE) --base 10 -6 55835323703435061617372717077650323870 | grep "IP is: 2a01:7e00::f03c:92ff:fe35:b99e/64" | wc -l | tr -d '[:blank:]' | grep -Fx 1

install: all
	command -v please && please install -m 0755 -s $(RELEASE) /usr/local/bin || sudo install -m 0755 -s $(RELEASE) /usr/local/bin

=== debian/changelog ===
rust-ripcalc (0.1.12-1) unstable; urgency=medium

  * Team upload.
  * Package ripcalc 0.1.12 from crates.io using debcargo 2.7.0
  * Drop nix-0.27.patch, no longer needed.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 27 Oct 2024 12:03:04 +0000

=== debian/control ===
Source: rust-ripcalc
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-csv-1+default-dev,
 librust-getopts-0.2+default-dev,
 librust-nix+default-dev (>= 0.27-~~),
 librust-nix+fs-dev (>= 0.27-~~),
 librust-nix+net-dev (>= 0.27-~~),
 librust-nix+signal-dev (>= 0.27-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ed Neville <ed-debian@s5h.net>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ripcalc]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ripcalc
Homepage: https://www.usenix.org.uk/content/ripcalc.html
X-Cargo-Crate: ripcalc
Rules-Requires-Root: no

Package: librust-ripcalc-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-csv-1+default-dev,
 librust-getopts-0.2+default-dev,
 librust-nix+default-dev (>= 0.27-~~),
 librust-nix+fs-dev (>= 0.27-~~),
 librust-nix+net-dev (>= 0.27-~~),
 librust-nix+signal-dev (>= 0.27-~~)
Provides:
 librust-ripcalc+default-dev (= ${binary:Version}),
 librust-ripcalc-0-dev (= ${binary:Version}),
 librust-ripcalc-0+default-dev (= ${binary:Version}),
 librust-ripcalc-0.1-dev (= ${binary:Version}),
 librust-ripcalc-0.1+default-dev (= ${binary:Version}),
 librust-ripcalc-0.1.12-dev (= ${binary:Version}),
 librust-ripcalc-0.1.12+default-dev (= ${binary:Version})
Description: Format and lookup IP addresses - Rust source code
 Source code for Debianized Rust crate "ripcalc"

Package: ripcalc
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: simple network calculator and lookup tool
 Process and lookup network addresses from the command line or CSV.
 Output has a variety of customisable formats.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.1.12 --all-targets --all-features
Features: test-name=rust-ripcalc:@
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.1.12 --all-targets
Features: test-name=librust-ripcalc-dev:default
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.1.12 --all-targets --no-default-features
Features: test-name=librust-ripcalc-dev:
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/ripcalc-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/ripcalc .*/crates/ripcalc/@ANY_VERSION@/download

## rust-ripcalc 0.2.5

=== Makefile ===
--- 
+++ 
@@ -49,6 +49,24 @@
 	printf "127.0.0.1/8\n" | $(RELEASE) | grep "IP is: 127.0.0.1/8" | wc -l | tr -d '[:blank:]' | grep -Fx 1 
 	printf " 127.0.0.1/8 \n " | $(RELEASE) | grep "IP is: 127.0.0.1/8" | wc -l | tr -d '[:blank:]' | grep -Fx 1 
 	$(RELEASE) --base 10 -6 55835323703435061617372717077650323870 | grep "IP is: 2a01:7e00::f03c:92ff:fe35:b99e/64" | wc -l | tr -d '[:blank:]' | grep -Fx 1
+	printf '10.0.1.0 10.0.255.0' | $(RELEASE) -e --format cidr | grep "10.0.0.0/16" | wc -l | tr -d '[:blank:]' | grep -Fx 1
+	printf '10.0.1.0 10.0.255.0\n10.2.0.0    10.2.2.2\n10.3.0.0\n10.10.10.10\n' | $(RELEASE) --format cidr | wc -l | tr -d '[:blank:]' | grep -Fx 6
+	printf '2a0a:1100:1002::/48' | $(RELEASE) --networks 64 | tr -d '[:blank:]' | grep -Fx "Networks(64):65536"
+	printf '2a0a:1100:1002::/48' | $(RELEASE) --networks 64 --format '%D:%N' | grep -Fx '64:65536'
+	for i in 1 2 3 4; do for j in 1 2 3 4; do echo 192.$$i.$$j.1; done; done | $(RELEASE) --group 16 --format short --encapsulating | wc -l | tr -d '[:blank:]' | grep -Fx 4
+	printf 'name,network\na,192.168.0.0/16\n' >ips.csv; $(RELEASE) --csv ips.csv 127.0.0.1 --allowemptyrow --format '%{name} %a/%c\n' | grep -Fx '{name} 127.0.0.1/24' && rm ips.csv
+	$(RELEASE) 8.8.4.4 --format '%p\n' | grep -Fx dns.google
+	$(RELEASE) -e 10.10.10.10 10.20.10.10 10.20.10.20 --group 24 --format '%a %c %C\n' | wc -l | grep -Fx 2
+	for i in `seq 1 20`; do for j in `seq 1 50`; do printf '192.168.%d.%d\n' $$i $$j; done; done | $(RELEASE) --group 24 --encapsulating --format '%a/%c %C\n' | grep '/26 50$$' | wc -l | grep -Fx 20
+	for i in `seq 1 20`; do for j in `seq 1 50`; do printf '192.168.%d.%d\n' $$i $$j; done; done | $(RELEASE) --group 24 --inside 192.168.1.1 --encapsulating --format '%a/%c %C\n' | grep '/26 50$$' | wc -l | grep -Fx 1
+	for i in `seq 1 20`; do for j in `seq 1 50`; do printf '192.168.%d.%d\n' $$i $$j; done; done | $(RELEASE) --group 24 --outside 192.168.1.1 --encapsulating --format '%a/%c %C\n' | grep '/26 50$$' | wc -l | grep -Fx 19
+	printf '3558236161\n' | $(RELEASE) --base 10 --format '%a\n' | grep -Fx 212.22.96.1
+	printf -- '-736731135\n' | $(RELEASE) --base -10 --format '%a\n' | grep -Fx 212.22.96.1
+	printf -- '-13259686110696736936355904651228348417\n' | $(RELEASE) --base -10 --format '%a\n' | grep -Fx f606:4700:3035:0:ffff:ffff:ffff:ffff
+	printf -- '42540766411282592856903984951653826560\n' | $(RELEASE) --base 10 --format '%a\n' | grep -Fx 2001:db8::
+	$(RELEASE) -e 10.0.0.0 10.10.0.0 --group 24 --format '%a/%c %C ' | grep -Fx '10.0.0.0/24 1 10.10.0.0/24 1 ' >/dev/null
+	$(RELEASE) -e 10.0.0.0 10.10.0.0 10.10.0.1 --group 24 --format '%a/%c %C ' | grep -Fx '10.0.0.0/24 1 10.10.0.0/24 2 ' >/dev/null
+	printf '10.0.0.0 10.10.0.0 10.10.0.1\n' | $(RELEASE) -e --group 24 --format '%a/%c %C ' | sort -n | paste -sd' ' | grep -Fx '10.0.0.0/32 1 10.10.0.0/31 2 ' >/dev/null
 
 install: all
 	command -v please && please install -m 0755 -s $(RELEASE) /usr/local/bin || sudo install -m 0755 -s $(RELEASE) /usr/local/bin

=== debian/changelog ===
rust-ripcalc (0.2.5-1) unstable; urgency=medium

  * Package ripcalc 0.2.5 from crates.io using debcargo 2.7.8

 -- Ed Neville <ed-debian@s5h.net>  Fri, 29 Aug 2025 19:39:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-cargo (>= 25),
- cargo:native,
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native,
  rustc:native,
  libstd-rust-dev,
  librust-csv-1+default-dev,
+ librust-dns-lookup-1+default-dev,
  librust-getopts-0.2+default-dev,
  librust-nix+default-dev (>= 0.27-~~),
  librust-nix+fs-dev (>= 0.27-~~),
  librust-nix+net-dev (>= 0.27-~~),
- librust-nix+signal-dev (>= 0.27-~~)
+ librust-nix+signal-dev (>= 0.27-~~),
+ librust-regex-1+default-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Ed Neville <ed-debian@s5h.net>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ripcalc]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ripcalc
 Homepage: https://www.usenix.org.uk/content/ripcalc.html
@@ -28,25 +30,26 @@
 Depends:
  ${misc:Depends},
  librust-csv-1+default-dev,
+ librust-dns-lookup-1+default-dev,
  librust-getopts-0.2+default-dev,
  librust-nix+default-dev (>= 0.27-~~),
  librust-nix+fs-dev (>= 0.27-~~),
  librust-nix+net-dev (>= 0.27-~~),
- librust-nix+signal-dev (>= 0.27-~~)
+ librust-nix+signal-dev (>= 0.27-~~),
+ librust-regex-1+default-dev
 Provides:
  librust-ripcalc+default-dev (= ${binary:Version}),
  librust-ripcalc-0-dev (= ${binary:Version}),
  librust-ripcalc-0+default-dev (= ${binary:Version}),
- librust-ripcalc-0.1-dev (= ${binary:Version}),
- librust-ripcalc-0.1+default-dev (= ${binary:Version}),
- librust-ripcalc-0.1.12-dev (= ${binary:Version}),
- librust-ripcalc-0.1.12+default-dev (= ${binary:Version})
+ librust-ripcalc-0.2-dev (= ${binary:Version}),
+ librust-ripcalc-0.2+default-dev (= ${binary:Version}),
+ librust-ripcalc-0.2.5-dev (= ${binary:Version}),
+ librust-ripcalc-0.2.5+default-dev (= ${binary:Version})
 Description: Format and lookup IP addresses - Rust source code
  Source code for Debianized Rust crate "ripcalc"
 
 Package: ripcalc
 Architecture: any
-Multi-Arch: allowed
 Section: utils
 Depends:
  ${misc:Depends},

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.2.5 --all-targets --all-features
Features: test-name=rust-ripcalc:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.2.5 --all-targets
Features: test-name=librust-ripcalc-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.2.5 --all-targets --no-default-features
Features: test-name=librust-ripcalc-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/ripcalc-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/ripcalc .*/crates/ripcalc/@ANY_VERSION@/download

## rust-ripcalc 0.2.6

=== Makefile ===
--- 
+++ 
@@ -48,25 +48,30 @@
 	$(RELEASE) 192.168.0.0/16 --format cidr | grep 192.168.0.0/16 | wc -l | tr -d '[:blank:]' | grep -Fx 1
 	printf "127.0.0.1/8\n" | $(RELEASE) | grep "IP is: 127.0.0.1/8" | wc -l | tr -d '[:blank:]' | grep -Fx 1 
 	printf " 127.0.0.1/8 \n " | $(RELEASE) | grep "IP is: 127.0.0.1/8" | wc -l | tr -d '[:blank:]' | grep -Fx 1 
-	$(RELEASE) --base 10 -6 55835323703435061617372717077650323870 | grep "IP is: 2a01:7e00::f03c:92ff:fe35:b99e/64" | wc -l | tr -d '[:blank:]' | grep -Fx 1
+	$(RELEASE) --base 10 -6 55835323703435061617372717077650323870 | grep "IP is: 2a01:7e00::f03c:92ff:fe35:b99e/128" | wc -l | tr -d '[:blank:]' | grep -Fx 1
 	printf '10.0.1.0 10.0.255.0' | $(RELEASE) -e --format cidr | grep "10.0.0.0/16" | wc -l | tr -d '[:blank:]' | grep -Fx 1
 	printf '10.0.1.0 10.0.255.0\n10.2.0.0    10.2.2.2\n10.3.0.0\n10.10.10.10\n' | $(RELEASE) --format cidr | wc -l | tr -d '[:blank:]' | grep -Fx 6
 	printf '2a0a:1100:1002::/48' | $(RELEASE) --networks 64 | tr -d '[:blank:]' | grep -Fx "Networks(64):65536"
 	printf '2a0a:1100:1002::/48' | $(RELEASE) --networks 64 --format '%D:%N' | grep -Fx '64:65536'
 	for i in 1 2 3 4; do for j in 1 2 3 4; do echo 192.$$i.$$j.1; done; done | $(RELEASE) --group 16 --format short --encapsulating | wc -l | tr -d '[:blank:]' | grep -Fx 4
-	printf 'name,network\na,192.168.0.0/16\n' >ips.csv; $(RELEASE) --csv ips.csv 127.0.0.1 --allowemptyrow --format '%{name} %a/%c\n' | grep -Fx '{name} 127.0.0.1/24' && rm ips.csv
+	printf 'name,network\na,192.168.0.0/16\n' >ips.csv; $(RELEASE) --csv ips.csv 127.0.0.1 --allowemptyrow --format '%{name} %a/%c\n' | grep -Fx '{name} 127.0.0.1/32' && rm ips.csv
+	printf 'name,network\na,192.168.0.0\n' >ips.csv; $(RELEASE) --csv ips.csv 127.0.0.1 --allowemptyrow --format '%{name} %a/%c\n' | grep -Fx '{name} 127.0.0.1/32' && rm ips.csv
+	printf 'name,network\na,2001:db8::\n' >ips.csv; $(RELEASE) --csv ips.csv   2001:db8::0 --allowemptyrow --format '%{name} %a/%c\n' | grep -Fx 'a 2001:db8::/128' && rm ips.csv
+	printf 'name,network\na,192.168.0.0/24\n' >ips.csv; $(RELEASE) --csv ips.csv 192.168.0.1 --allowemptyrow --format '%{name} %a/%c\n' | grep -Fx 'a 192.168.0.1/24' && rm ips.csv
+	printf 'name,network\na,192.168.0.0/24\n' >ips.csv; echo 192.168.0.1 | $(RELEASE) --csv ips.csv --allowemptyrow --format '%{name} %a/%c\n' | grep -Fx 'a 192.168.0.1/24' && rm ips.csv
 	$(RELEASE) 8.8.4.4 --format '%p\n' | grep -Fx dns.google
 	$(RELEASE) -e 10.10.10.10 10.20.10.10 10.20.10.20 --group 24 --format '%a %c %C\n' | wc -l | grep -Fx 2
 	for i in `seq 1 20`; do for j in `seq 1 50`; do printf '192.168.%d.%d\n' $$i $$j; done; done | $(RELEASE) --group 24 --encapsulating --format '%a/%c %C\n' | grep '/26 50$$' | wc -l | grep -Fx 20
-	for i in `seq 1 20`; do for j in `seq 1 50`; do printf '192.168.%d.%d\n' $$i $$j; done; done | $(RELEASE) --group 24 --inside 192.168.1.1 --encapsulating --format '%a/%c %C\n' | grep '/26 50$$' | wc -l | grep -Fx 1
+	for i in `seq 1 20`; do for j in `seq 1 50`; do printf '192.168.%d.%d\n' $$i $$j; done; done | $(RELEASE) --group 24 --inside 192.168.1.1/24 --encapsulating --format '%a/%c %C\n' | grep '/26 50$$' | wc -l | grep -Fx 1
 	for i in `seq 1 20`; do for j in `seq 1 50`; do printf '192.168.%d.%d\n' $$i $$j; done; done | $(RELEASE) --group 24 --outside 192.168.1.1 --encapsulating --format '%a/%c %C\n' | grep '/26 50$$' | wc -l | grep -Fx 19
 	printf '3558236161\n' | $(RELEASE) --base 10 --format '%a\n' | grep -Fx 212.22.96.1
 	printf -- '-736731135\n' | $(RELEASE) --base -10 --format '%a\n' | grep -Fx 212.22.96.1
 	printf -- '-13259686110696736936355904651228348417\n' | $(RELEASE) --base -10 --format '%a\n' | grep -Fx f606:4700:3035:0:ffff:ffff:ffff:ffff
 	printf -- '42540766411282592856903984951653826560\n' | $(RELEASE) --base 10 --format '%a\n' | grep -Fx 2001:db8::
-	$(RELEASE) -e 10.0.0.0 10.10.0.0 --group 24 --format '%a/%c %C ' | grep -Fx '10.0.0.0/24 1 10.10.0.0/24 1 ' >/dev/null
-	$(RELEASE) -e 10.0.0.0 10.10.0.0 10.10.0.1 --group 24 --format '%a/%c %C ' | grep -Fx '10.0.0.0/24 1 10.10.0.0/24 2 ' >/dev/null
+	$(RELEASE) -e 10.0.0.0 10.10.0.0 --group 24 --format '%a/%c %C ' | grep -Fx '10.0.0.0/32 1 10.10.0.0/32 1 ' >/dev/null
+	$(RELEASE) -e 10.0.0.0 10.10.0.0 10.10.0.1 --group 24 --format '%a/%c %C ' | grep -Fx '10.0.0.0/32 1 10.10.0.0/31 2 ' >/dev/null
 	printf '10.0.0.0 10.10.0.0 10.10.0.1\n' | $(RELEASE) -e --group 24 --format '%a/%c %C ' | sort -n | paste -sd' ' | grep -Fx '10.0.0.0/32 1 10.10.0.0/31 2 ' >/dev/null
+	$(RELEASE) --encapsulating 10.10.0.1 10.10.0.2 10.10.0.3 --format cidr | grep 10.10.0.0/30 >/dev/null
 
 install: all
 	command -v please && please install -m 0755 -s $(RELEASE) /usr/local/bin || sudo install -m 0755 -s $(RELEASE) /usr/local/bin

=== debian/changelog ===
rust-ripcalc (0.2.6-1) unstable; urgency=medium

  * Team upload
  * Package ripcalc 0.2.6 from crates.io using debcargo 2.7.11

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 2 Oct 2025 18:43:24 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ripcalc
 Homepage: https://www.usenix.org.uk/content/ripcalc.html
 X-Cargo-Crate: ripcalc
-Rules-Requires-Root: no
 
 Package: librust-ripcalc-dev
 Architecture: any
@@ -43,8 +42,8 @@
  librust-ripcalc-0+default-dev (= ${binary:Version}),
  librust-ripcalc-0.2-dev (= ${binary:Version}),
  librust-ripcalc-0.2+default-dev (= ${binary:Version}),
- librust-ripcalc-0.2.5-dev (= ${binary:Version}),
- librust-ripcalc-0.2.5+default-dev (= ${binary:Version})
+ librust-ripcalc-0.2.6-dev (= ${binary:Version}),
+ librust-ripcalc-0.2.6+default-dev (= ${binary:Version})
 Description: Format and lookup IP addresses - Rust source code
  Source code for Debianized Rust crate "ripcalc"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.2.6 --all-targets --all-features
Features: test-name=rust-ripcalc:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.2.6 --all-targets
Features: test-name=librust-ripcalc-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.2.6 --all-targets --no-default-features
Features: test-name=librust-ripcalc-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

## rust-ripcalc 0.2.7

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,7 @@
 	printf 'name,network\na,2001:db8::\n' >ips.csv; $(RELEASE) --csv ips.csv   2001:db8::0 --allowemptyrow --format '%{name} %a/%c\n' | grep -Fx 'a 2001:db8::/128' && rm ips.csv
 	printf 'name,network\na,192.168.0.0/24\n' >ips.csv; $(RELEASE) --csv ips.csv 192.168.0.1 --allowemptyrow --format '%{name} %a/%c\n' | grep -Fx 'a 192.168.0.1/24' && rm ips.csv
 	printf 'name,network\na,192.168.0.0/24\n' >ips.csv; echo 192.168.0.1 | $(RELEASE) --csv ips.csv --allowemptyrow --format '%{name} %a/%c\n' | grep -Fx 'a 192.168.0.1/24' && rm ips.csv
+	printf 'name,network\nloop,127.0.0.0/8\nprinters,172.16.0.0/12\niot1,192.168.0.0/24\niot2,192.168.1.0/24\niot3,192.168.2.0/24\niot4,192.168.3.0/24' >ips.csv; echo 192.168.0.1 | $(RELEASE) --csv ips.csv --allowemptyrow --format '%{name} %a/%c\n' | grep -Fx 'iot1 192.168.0.1/24' && rm ips.csv
 	$(RELEASE) 8.8.4.4 --format '%p\n' | grep -Fx dns.google
 	$(RELEASE) -e 10.10.10.10 10.20.10.10 10.20.10.20 --group 24 --format '%a %c %C\n' | wc -l | grep -Fx 2
 	for i in `seq 1 20`; do for j in `seq 1 50`; do printf '192.168.%d.%d\n' $$i $$j; done; done | $(RELEASE) --group 24 --encapsulating --format '%a/%c %C\n' | grep '/26 50$$' | wc -l | grep -Fx 20
@@ -72,6 +73,8 @@
 	$(RELEASE) -e 10.0.0.0 10.10.0.0 10.10.0.1 --group 24 --format '%a/%c %C ' | grep -Fx '10.0.0.0/32 1 10.10.0.0/31 2 ' >/dev/null
 	printf '10.0.0.0 10.10.0.0 10.10.0.1\n' | $(RELEASE) -e --group 24 --format '%a/%c %C ' | sort -n | paste -sd' ' | grep -Fx '10.0.0.0/32 1 10.10.0.0/31 2 ' >/dev/null
 	$(RELEASE) --encapsulating 10.10.0.1 10.10.0.2 10.10.0.3 --format cidr | grep 10.10.0.0/30 >/dev/null
+	$(RELEASE) 192.168.1.1 --format '%r\n' | grep 'RFC 1918' >/dev/null
+	$(RELEASE) 127.0.0.1 --format '%r\n' | grep 'Used for loopback addresses to the local host.' >/dev/null
 
 install: all
 	command -v please && please install -m 0755 -s $(RELEASE) /usr/local/bin || sudo install -m 0755 -s $(RELEASE) /usr/local/bin

=== debian/changelog ===
rust-ripcalc (0.2.7-1) unstable; urgency=medium

  * Team upload.
  * Package ripcalc 0.2.7 from crates.io using debcargo 2.7.11
    + New upstream supports nix 0.30.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 14 Oct 2025 13:58:31 +0000

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  librust-csv-1+default-dev,
  librust-dns-lookup-1+default-dev,
  librust-getopts-0.2+default-dev,
- librust-nix+default-dev (>= 0.27-~~),
- librust-nix+fs-dev (>= 0.27-~~),
- librust-nix+net-dev (>= 0.27-~~),
- librust-nix+signal-dev (>= 0.27-~~),
+ librust-nix-0.30+default-dev,
+ librust-nix-0.30+fs-dev,
+ librust-nix-0.30+net-dev,
+ librust-nix-0.30+signal-dev,
  librust-regex-1+default-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
@@ -31,10 +31,10 @@
  librust-csv-1+default-dev,
  librust-dns-lookup-1+default-dev,
  librust-getopts-0.2+default-dev,
- librust-nix+default-dev (>= 0.27-~~),
- librust-nix+fs-dev (>= 0.27-~~),
- librust-nix+net-dev (>= 0.27-~~),
- librust-nix+signal-dev (>= 0.27-~~),
+ librust-nix-0.30+default-dev,
+ librust-nix-0.30+fs-dev,
+ librust-nix-0.30+net-dev,
+ librust-nix-0.30+signal-dev,
  librust-regex-1+default-dev
 Provides:
  librust-ripcalc+default-dev (= ${binary:Version}),
@@ -42,8 +42,8 @@
  librust-ripcalc-0+default-dev (= ${binary:Version}),
  librust-ripcalc-0.2-dev (= ${binary:Version}),
  librust-ripcalc-0.2+default-dev (= ${binary:Version}),
- librust-ripcalc-0.2.6-dev (= ${binary:Version}),
- librust-ripcalc-0.2.6+default-dev (= ${binary:Version})
+ librust-ripcalc-0.2.7-dev (= ${binary:Version}),
+ librust-ripcalc-0.2.7+default-dev (= ${binary:Version})
 Description: Format and lookup IP addresses - Rust source code
  Source code for Debianized Rust crate "ripcalc"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.2.7 --all-targets --all-features
Features: test-name=rust-ripcalc:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.2.7 --all-targets
Features: test-name=librust-ripcalc-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.2.7 --all-targets --no-default-features
Features: test-name=librust-ripcalc-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/ripcalc
Matching-Pattern:  .*/crates/ripcalc/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/ripcalc-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
